Subject: RE: Alternatives for Long Term Archiving - conclusion ?

From: Tobias Gondrom <[email-masked]>
Date: Thu, 8 Apr 2004 18:42:55 +0200

Dear all,

Personally I fully go with Brian, Aleksej, Uli, Antje and Michael.
I can see that n-of-m has some quite interesting aspects but feel the same
that it is quite academic concenring current needs and business.

I agree that there is one advantage of n-of-m over the current model, that
is when it comes to the point that we have no hash algorithms and no PK
algorithms at _all_.
At the moment we are working quite fine with PK and hash algorithms and the
time stamps from PKIX are in practical use - so I would like to rely on
them.

Second, the distribution is very expensive and AFAIK from my contacts to
users and customers will most probably not be accepted. (we are all just
humans)

As our goal is to develop standards that we think are best for the world
_and_ will be _used_.  I feel that all of the arguments are exchanged
concerning the topic and so I would like to get to an conclusion.  

>From what I read I feel that there might be rough consensus to reject the
proposal of n-of-m for this draft. We can pick it up as a future topic or
add-on for LTANS if we are able to demonstrate the need and the business use
and have done our homework with the first drafts mid of this year.

Am I asking to early or just please give me your statement ?

Best regards and happy easter

	Tobias

(Chair of LTANS)

> -----Original Message-----
> From: A. Jerman Blazic [mailto:[email-masked]] 
> Sent: Thursday, April 08, 2004 15:43
> To: [email-masked]
> Subject: RE: Alternatives for Long Term Archiving
> 
> 
> 
> Of course, that is the main point. We should consider demands (at the
> moment) and focus on them. Multiple parties scenario does not 
> exist currently... At least to my knowledge. But future 
> infrastructures might do that (n/m).
> 
> > -----Original Message-----
> > From: Santosh Chokhani [mailto:[email-masked]]
> > Sent: Thursday, April 08, 2004 3:28 PM
> > To: 'A. Jerman Blazic'; [email-masked]
> > Subject: RE: Alternatives for Long Term Archiving
> > 
> > 
> > The n of m approach is proposed when you use multiple parties
> > as trust store.
> > 
> > If you feel that you need to store your own data and can
> > defend in court time stamps (all of which may be subject to 
> > cryptanalysis except the current one), then you do not need 
> > multiple third parties.
> > 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]
> > On Behalf Of A. Jerman Blazic
> > Sent: Thursday, April 08, 2004 9:08 AM
> > To: [email-masked]
> > Subject: RE: Alternatives for Long Term Archiving
> > 
> > 
> > 
> > Dear all,
> > 
> > I have been following the discussion for some time and did go
> > through the n/m scenario and I have to add my position (also 
> > as a technology provider).
> > 
> > As stated a couple of times before n/m solves some critical problems
> > (confidentiality) but mostly in scenarios when trusted
> > archive is presented as an outsourcing service (here I really 
> > liked Uli's scenarios). Within an organization n/m approach 
> > does not deliver a single benefit, since redundancy and 
> > disaster recovery is solved by other approaches/technology 
> > and building a "new instance" taking care of redundancy is a 
> > wrong direction. Also one should keep in mind that many 
> > records do already exist today and transformation using n/m 
> > approaches are to demanding and especially form the point of 
> > view that DMS systems or docbases are not something that will 
> > be implemented with the trusted archive but they DO exist 
> > already, archival standards should take care mostly of 
> > collecting complementary data for unquestioned record 
> > conservation over defined or undefined period of time. The 
> > approach being implemented today by technology providers and 
> > organizations with docbases is therefore based on deployment 
> > of archival interfaces operating directly on existing records 
> > by producing conservation relevant data. Three major points 
> > needs to be addressed ASAP: archive interaction, archival 
> > meta and archival complementary data. Present systems try to 
> > build sets of data (mainly trust anchors) on existing or 
> > incoming records. Standardizing such (archival) data is a 
> > must, since it can not rely on specific technology and this 
> > is where the problem really exist at the moment. Data, meta 
> > data and complementary data must be transparent of underlying 
> > technology and they must be combined with seamless mechanisms 
> > for proving integrity on independent platforms or in other 
> > words, they must be based on standardized semantic.
> > 
> > Regards
> > 
> > aleksej
> > 
> > > -----Original Message-----
> > > From: [email-masked]
> > > [mailto:[email-masked]] On Behalf Of Michael 
> > Tielemann
> > > Sent: Thursday, April 08, 2004 2:14 PM
> > > To: [email-masked]
> > > Subject: Alternatives for Long Term Archiving
> > > 
> > > 
> > > 
> > > Dear all,
> > > 
> > > in my opinion the recently discussed n:m distribution is an
> > > academically interesting approach. But I fear that in 
> > practice there
> > > is no chance to run such a model. Spreading signed data is much
> > > expensive in communication, storing, retrieving etc. Sure, 
> > there is a
> > > benfit in security and evidence, but the overhead is in any
> > industrial
> > > context not feasable. Implementing distributed locations is to
> > > expensive in the sense of hardware, stuff, building, 
> > several DMS (?),
> > > backup, disaster recovery, managing responsebility, etc.
> > > 
> > > I guess we need, lets say a local store which serves all 
> neccessary
> > > tasks.  This allows a more practicable implementation and 
> modelling 
> > > for any company or application.
> > > 
> > > At our site we have a huge amount of stored documents,
> > splitting this
> > > mass up to several locations with all dependencies would be a
> > > nightmare.
> > > 
> > > Regards
> > > -Michael
> > > 
> > 
>

---

From: "Santosh Chokhani" <[email-masked]>
Date: Thu, 8 Apr 2004 13:01:09 -0400

Tobias:

You all are ignoring the fact that as you lay out, the TAA is a single
source of authority to vouch for the document.  You all also seem to say
that TAA is within the organization.

This could lead to problems in some courts.

Please note that the time stamp authority is only good for the outermost
time stamp.  Due to cryptanalysis etc., inner time stamps may be manipulated
by the TAA.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
On Behalf Of Tobias Gondrom
Sent: Thursday, April 08, 2004 12:43 PM
To: [email-masked]
Subject: RE: Alternatives for Long Term Archiving - conclusion ?
Importance: High

Dear all,

Personally I fully go with Brian, Aleksej, Uli, Antje and Michael. I can see
that n-of-m has some quite interesting aspects but feel the same that it is
quite academic concenring current needs and business.

I agree that there is one advantage of n-of-m over the current model, that
is when it comes to the point that we have no hash algorithms and no PK
algorithms at _all_. At the moment we are working quite fine with PK and
hash algorithms and the time stamps from PKIX are in practical use - so I
would like to rely on them.

	Tobias

(Chair of LTANS)

> > The n of m approach is proposed when you use multiple parties as 
> > trust store.
> > 
> > If you feel that you need to store your own data and can defend in 
> > court time stamps (all of which may be subject to cryptanalysis 
> > except the current one), then you do not need multiple third 
> > parties.
> > 
> > through the n/m scenario and I have to add my position (also as a 
> > technology provider).
> > 
> > (confidentiality) but mostly in scenarios when trusted archive is 
> > presented as an outsourcing service (here I really liked Uli's 
> > scenarios). Within an organization n/m approach does not deliver a 
> > single benefit, since redundancy and disaster recovery is solved by 
> > other approaches/technology and building a "new instance" taking 
> > care of redundancy is a wrong direction. Also one should keep in 
> > mind that many records do already exist today and transformation 
> > using n/m approaches are to demanding and especially form the point 
> > of view that DMS systems or docbases are not something that will

---

From: Larry Masinter <[email-masked]>
Date: Thu, 08 Apr 2004 10:18:18 -0700

Tobias,

I am confused by your call for 'rough consensus'. Personally,
I think it is best practice to focus 'rough consensus' on
the actual wording in actual internet drafts, rather than
on abstract principles.

> The objective of the LTANS working group is to define requirements, 
> data structures and protocols for the secure usage of the necessary 
> archive and notary services. 

> First, the requirements for the long-term archive will be collected. 

I have proposed some changes, and raised some questions, about the
requirements document. It would be good to follow the charter and
see if we can reach consensus on a requirements document. I would
prefer one that did not exclude the possibility of mechanisms other
than chain-of-evidence for providing for long term non-repudiation
services.

> Based on that information we will develop a 
> protocol to access archive services supplying long-term non-repudiation 
> for signed documents and define common data structures and formats. 

I would prefer that the protocol not require timestamp chains, but
allow them as an option for providing long-term non-repudiation
evidence. Multiple independent party assertions of independent records of
receipt and validation, of either full copies (or secret shares, if
the archives can be trusted to assert timestamps but not to respect
privacy) might be an alternative mechanism.

Personally, I think that the "chain of evidence" mechanisms proposed
for long-term non-repudiation are themselves "academic research projects",
in that they are untested, and seem to rely on some fairly dubious
assertions,
e.g., that the expiration of the belief in the non-invertability
of any particular one-way hash function can be predicted.

Larry
-- 
http://larry.masinter.net

---

From: Larry Masinter <[email-masked]>
Date: Thu, 08 Apr 2004 10:30:55 -0700

> users and customers will most probably not be accepted. (we are all just

I wanted to follow up on this point, since several posters
have mentioned the cost of replication and difficulty of
coordination.

However, my understanding is that it is common practice in the
industry, for disaster recovery, to maintain multiple
copies of important data. And surely anything that you wish
to preserve for the long term fits into this scenario.

Using secret-sharing, there is no need to access the data once it
has been archived, except in the case there is a dispute.

However, using chain-of-evidence, the data must be regularly
accessed (every several years, at least), in order to update
the chain of evidence. Since these are important records undergoing
transactional updates, won't they be candidates for off-site
replication?

So, is it certain that the cost of replication for, say, 2-of-3
with static storage of components is higher than the cost of
maintaining a chain-of-evidence active re-signing activity?

Larry